#pragma once

namespace f8
{
    struct MsgHdr;
}

namespace google
{
    namespace protobuf
    {
        class Message;
    }
}

class Global : public a8::Singleton<Global>
{
 private:
    Global() {};
    friend class a8::Singleton<Global>;
 public:
    static time_t BetweenDays(time_t time1, time_t time2);
    static time_t GetDaySeconds(time_t time, int incdays = 0);

    static int g_nowtime;
    static int g_time_zone; // 默认东八区
    static bool g_shutdown;
};

bool CustomParser(f8::MsgHdr& hdr, google::protobuf::Message* msg);
bool CustomPbSerialize(char* buf, int& offset, int buflen, const google::protobuf::Message* msg);
int CustomPbSerializeSize(const google::protobuf::Message* msg);
